#ifndef HISTORY_H_ASDFLKJASDFLKJ
#define HISTORY_H_ASDFLKJASDFLKJ

#define HISTORY_MAX 10
#define INITIAL_INDEX 1

struct history;

struct history *historyAlloc(int max);
int historyExpand(struct history *self,const char **cmdLine);
void historyAdd(struct history *self,const char *cmdLine);
void historyList(struct history *self);
void historyFree(struct history *self);

#endif /* history_h */

